=== debian/changelog ===
cluster-utils (1.0.20111210) stable; urgency=low

  * Fixed a silly bug in rclsh: lack of quotes in the argument of an if.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Sat, 10 Dec 2011 16:08:42 -0200

cluster-utils (1.0.20080409) stable; urgency=low

  * Updated the package to the Etch Debian standards, and started
    distributing it as an "all" architecture package.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Wed,  9 Apr 2008 02:43:54 -0300

cluster-utils (1.0.20070705) stable; urgency=low

  * Initial Release.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Thu,  5 Jul 2007 15:40:09 -0300

Local variables:
mode: debian-changelog
End:
