=== debian/control ===
Source: cluster-utils
Section: utils
Priority: optional
Maintainer: Jorge L. deLyra <delyra@fma.if.usp.br>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.2

Package: cluster-utils
Architecture: all
Depends: tcsh
Description: This package contains a few utilities which are usually
 useful within a cluster environment. These are not core cluster
 tools, but rather a few odds and ends, which might also be useful in
 other circumstances, besides those of a standard cluster.
